package de.avatic.lcc.dto.calculation.edit.destination;

import com.fasterxml.jackson.annotation.JsonProperty;
import jakarta.validation.constraints.*;

import java.util.List;
import java.util.Map;

public class DestinationSetDTO {

    @JsonProperty("premise_id")
    List<Integer> premiseId;

    @JsonProperty("destinations")
    List<DestinationSetListItemDTO> destinations;


    public List<Integer> getPremiseId() {
        return premiseId;
    }

    public void setPremiseId(List<Integer> premiseId) {
        this.premiseId = premiseId;
    }

    public List<DestinationSetListItemDTO> getDestinations() {
        return destinations;
    }

    public void setDestinations(List<DestinationSetListItemDTO> destinations) {
        this.destinations = destinations;
    }
}
